pydo.actor_limits.get()

Generated on 1 Oct 2026 from pydo version v0.43.0

Usage

client.actor_limits.get(actor_id="alice")
Returns JSONRaises HttpResponseError

Description

Returns the per-minute limits set for the actor and the limits in effect, each the lower of your team’s limit and the actor’s override. Returns 404 when the actor has no sessions, connections, or limit overrides.

Parameters

actor_id string required

Actor ID: a session actor_id or a connection user_id, 1 to 64 characters from [A-Za-z0-9._-].

Response Example

Show Response Example
{
  "configured_limits": [
    {
      "category": "LIMIT_CATEGORY_WEB_SEARCH_REQUESTS_PER_MINUTE",
      "requests_per_minute": "10"
    }
  ],
  "effective_limits": {
    "web_search_requests_per_minute": "10",
    "web_fetch_requests_per_minute": "120",
    "native_tool_calls_requests_per_minute": "600",
    "non_native_tool_calls_requests_per_minute": "600"
  }
}

More Information

See /v2/action-gateway/actors/{actor_id}/limits in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.